latlon2SA {ASGS.foyer} | R Documentation

## Determine whether coordinates lie in a given statistical area.

### Description

Determine whether coordinates lie in a given statistical area.

### Usage

    latlon2SA(lat, lon, to = c("STE", "SA2", "SA1", "SA3", "SA4"),
      yr = c("2016", "2011"), return = c("v", "sp"), NAME = TRUE,
      .shapefile = NULL)

### Arguments

`lat, lon` | Numeric vector representing coordinates in decimal degrees. Coordinates south of the equator have `lat < 0`.
`to` | The statistical area to convert to.
`yr` | The year of the statistical area.
`return` | Whether to return an atomic vector `(v)` representing the shapefile for each point `lat, lon` or a spatial points object from package `sp`.
`NAME` | (logical, default: `TRUE`) whether to use the name or number of the statistical area
`.shapefile` | If specified, an arbitrary shapefile containing the statistical areas to locate.

### Value

The statistical area that contains each point.

### Examples

    latlon2SA(-35.3, 149.2, to = "STE", yr = "2016")

[Package ASGS.foyer version 0.2.1 Index]